# Refresh device push token Update the push notification token associated with an existing device for the authenticated user. Endpoint: POST /notifications/devices/refresh-token Version: 1.0 Security: bearerAuth ## Header parameters: - `x-fingerprint-id` (string, required) Unique device or session fingerprint identifier used for security and fraud prevention. ## Request fields (application/json): - `deviceId` (string, required) Unique identifier of the device whose token will be updated. Example: "device-a81f92" - `pushToken` (string, required) New push notification token generated by the platform provider. Example: "eJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.newmocktoken123" ## Response 200 fields (application/json): - `statusCode` (integer) Example: 200 - `data` (object) - `data.device` (object) - `data.device.id` (string) Example: "65dcb2a91f8c9b0022c8e771" - `data.device.createdAt` (string) Example: "2026-01-28T18:42:11.430Z" - `data.device.updatedAt` (string) Example: "2026-01-29T16:22:40.910Z" - `data.device.deleted` (string) - `data.device.userId` (string) Example: "91f8b73e-1c4a-4d9e-a9e2-3c7a8b1d902f" - `data.device.deviceId` (string) Example: "device-a81f92" - `data.device.platform` (string) Enum: "android", "ios", "web" - `data.device.lastUsedAt` (string) Example: "2026-01-29T16:20:58.300Z" - `data.device.status` (string) Enum: "active", "revoked" - `data.device.environment` (string) Example: "production" - `data.device.lastSeenAt` (string) Example: "2026-01-29T16:22:40.910Z" - `data.device.pushToken` (string) Example: "eJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.newmocktoken123" - `data.device.mobileSettings` (object) - `data.device.mobileSettings.appInstanceId` (string) Example: "app-instance-4421" - `data.device.mobileSettings.appVersion` (string) Example: "3.2.1" - `data.device.mobileSettings.osVersion` (string) Example: "14.8" - `data.device.mobileSettings.deviceModel` (string) Example: "Pixel 8" - `data.device.webSettings` (object) - `data.device.webSettings.userAgent` (string) Example: "Mozilla/5.0 (Windows NT 10.0; Win64; x64)" - `data.device.webSettings.ipAddress` (string) Example: "10.0.0.45" ## Response 400 fields (application/json): - `message` (string) Invalid param: [] Example: "Invalid param: []" - `error` (string) Bad Request Example: "Bad Request" - `statusCode` (integer) 400 Example: 400 ## Response 401 fields (application/json): - `message` (string) Invalid field Example: "Unauthorized" - `error` (string) Unauthorized Example: "Unauthorized" - `statusCode` (integer) 401 Example: 401 ## Response 403 fields (application/json): - `message` (string) Forbidden resource Example: "Forbidden resource" - `error` (string) Forbidden Example: "Forbidden" - `statusCode` (integer) 403 Example: 403 ## Response 500 fields (application/json): - `message` (string) Internal server error Example: "Internal server error" - `error` (string) Internal Server Error Example: "Internal Server Error" - `statusCode` (integer) 500 Example: 500